﻿using System.ComponentModel.DataAnnotations;

namespace BPA.SaaS.Stock.Api.DTO.Basic.Auth
{
    /// <summary>
    /// 登录输入参数
    /// </summary>
    public class LoginInput
    {
        /// <summary>
        /// 用户名
        /// </summary>
        /// <example>superAdmin</example>
        [Required(ErrorMessage = "用户名不能为空")]
        public string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        /// <example>123456</example>
        [Required(ErrorMessage = "密码不能为空")]
        public string Password { get; set; }

        public string RoleId { get; set; }
        public string Name { get; set; }

        /// <summary>
        /// 0正常 1停用 2删除
        /// </summary>
        public int Stutas { get; set; }
    }

    //public class PersonValidator : AbstractValidator<LoginInput>
    //{
    //    public PersonValidator()
    //    {
    //        RuleFor(x => x.Account).NotEmpty()
    //            .WithMessage("{PropertyName} 属性不能为空！")
    //             .Length(6, 25); //长度范围;
    //        RuleFor(x => x.Password).Length(6, 50);
    //    }
    //}
    public class LoginPageInput
    {
        public string Name { get; set; }
        public int PageIndex { get; set; }
        public int PageSize { get; set; }
    }

    public class UserInputDTO
    {
        public string OldPwd { get; set; }
        public string NewPwd { get; set; }
        public string Id { get; set; }
    }
}