﻿using BPA.SaaS.Stock.Api.DTO.Basic.Cache;

namespace BPA.SaaS.Stock.Api.DTO.Basic.Auth
{
    public class LoginOutInfo
    {
        public string userID { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string token { get; set; }
    }

    /// <summary>
    /// 用户登录输出参数
    /// </summary>
    public class LoginOutput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        public string NickName { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        public string Avatar { get; set; }

        /// <summary>
        /// 是否是超级管理员
        /// </summary>
        public bool isAdmin { get; set; } = false;

        /// <summary>
        /// 生日
        /// </summary>
        public DateTimeOffset? Birthday { get; set; }

        /// <summary>
        /// 性别(字典 1男 2女)
        /// </summary>
        public int Sex { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        public String Email { get; set; }

        /// <summary>
        /// 手机
        /// </summary>
        public String Phone { get; set; }

        /// <summary>
        /// 电话
        /// </summary>
        public String Tel { get; set; }

        /// <summary>
        /// 最后登陆IP
        /// </summary>
        public string LastLoginIp { get; set; }

        /// <summary>
        /// 最后登陆时间
        /// </summary>
        public DateTimeOffset? LastLoginTime { get; set; }

        /// <summary>
        /// 最后登陆地址
        /// </summary>
        public string LastLoginAddress { get; set; }

        /// <summary>
        /// 最后登陆所用浏览器
        /// </summary>
        public string LastLoginBrowser { get; set; }

        /// <summary>
        /// 最后登陆所用系统
        /// </summary>
        public string LastLoginOs { get; set; }

        /// <summary>
        /// 登录菜单信息---AntDesign版本菜单
        /// </summary>
        public List<AntDesignTreeNode> Menus { get; set; } = new();

        /// <summary>
        /// 数据范围（机构）信息
        /// </summary>
        public List<long> DataScopes { get; set; } = new List<long>();

        /// <summary>
        /// 状态
        /// </summary>
        public int Stutas { get; set; }

        /// <summary>
        /// 权限名称
        /// </summary>
        public string RoleName { get; set; }
    }
}