﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO.Basic.Company
{
    /// <summary>
    /// 企业信息
    /// </summary>
    public class CompanyDtoInput
    {
        /// <summary>
        /// 企业编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 企业名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 管理员名称
        /// </summary>
        public string AdminName { get; set; }


        /// <summary>
        /// 主机
        /// </summary>
        public string Host { get; set; }


        /// <summary>
        /// 电子邮箱
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// 电话
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        /// 数据库连接
        /// </summary>
        public string Connection { get; set; }

        /// <summary>
        /// 架构
        /// </summary>
        public string Schema { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 企业类型（0,平台，1，供应商，2，加盟商 ）
        /// </summary>
        //public int CompanyType { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public EnumCommonStatus Status { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 管理员角色编号
        /// </summary>
        public string SysRoleId { get; set; }
        /// <summary>
        /// 结算周期
        /// </summary>
        public int SettlementCycles { get; set; } = 1;

        /// <summary>
        /// 域名
        /// </summary>
        public string RealmName { get; set; }

        /// <summary>
        /// 对应供应商平台ID
        /// </summary>
        public string SupplyPlatformId { get; set; }
        /// <summary>
        /// 企业logo
        /// </summary>
        public string  Logo { get; set; }
        /// <summary>
        /// 企业唯一编码
        /// </summary>
        public string Code { get; set; }

    }
}
