﻿using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO.Basic.User
{
    public class UserDtoInput
    {
        public string GroupId { get; set; }
        public string Id { get; set; }

        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        public string NickName { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        public string Avatar { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        public DateTime? Birthday { get; set; }

        /// <summary>
        /// 性别-男_1、女_2
        /// </summary>
        public int Sex { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// 手机
        /// </summary>
        public string Phone { get; set; }

        /// <summary>
        /// 电话
        /// </summary>
        public string Tel { get; set; }

        /// <summary>
        /// 管理员类型-超级管理员_1、管理员_2、普通账号_3
        /// </summary>
        public EnumAdminType AdminType { get; set; } = EnumAdminType.None;

        /// <summary>
        /// 状态
        /// </summary>
        public EnumCommonStatus? Status { get; set; }

        /// <summary>
        /// 所属组织
        /// </summary>
        public string SysOrgId { get; set; }
    }
}