﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityHelper
{
   public class ActivityInfoOutDto
    {

        public string Id { get; set; }

        /// <summary>
        /// 删除标识
        /// 0=> 正常使用
        /// 1=> 已经被标记删除
        /// </summary>
        public int IsDeleted { get; set; } = 0;
        /// <summary>
        /// 删除时间
        /// </summary>
        public DateTime DeleteAt { get; set; }
        /// <summary>
        /// 删除人
        /// </summary>
        public string DeleteBy { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdateAt { get; set; }
        /// <summary>
        /// 更新人
        /// </summary>
        public string UpdateBy { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; } = DateTime.Now;
        /// <summary>
        /// 创建人
        /// </summary>
        public string CreateBy { get; set; }

        /// <summary>
        /// 活动名称
        /// </summary>
        public string ActivityName { get; set; }
        /// <summary>
        /// 活动图片
        /// </summary>
        public string ActivityImg { get; set; }
        /// <summary>
        /// 活动备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 1.送券 2.阶梯抵扣金  3.特价商品 4.阶梯优惠券 5.阶梯商品  6.阶梯消费次数  7.循环消费次数
        /// </summary>
        public int ActivityType { get; set; }
        /// <summary>
        /// 活动开始时间
        /// </summary>
        public DateTime ActivityStartTime { get; set; }
        /// <summary>
        /// 活动结束时间
        /// </summary>
        public DateTime ActivityEndTime { get; set; }

        /// <summary>
        /// 规则
        /// </summary>
        public string ActivityRule { get; set; }

        /// <summary> 
        /// 客户端页面是否显示 
        /// </summary> 
        public int isShow { get; set; }
        /// <summary> 
        /// 是否后台计算
        /// </summary> 
        public int isAutoSend { get; set; }

        public List<Stage> Stage { get; set; }


        /// <summary>
        /// 活动进度
        /// </summary>
        public object Progress { get; set; }
    }

   public class Stage
   {
       /// <summary>
       /// 阶段值
       /// </summary>
       public string StageValue { get; set; }

       /// <summary>
       /// 奖励值
       /// </summary>
       public string RewardValue { get; set; }
    }
}
