﻿using System.ComponentModel.DataAnnotations;

namespace BPA.SaaS.Stock.Api.DTO.CRM.ActivityInfo
{
    /// <summary>
    /// 活动查询Model
    /// </summary>
    public   class ActivityInfoQueryDto : PageInputBase
    {
        /// <summary>
        /// 活动编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 活动名称
        /// </summary>
        public string ActivityName { get; set; }
        /// <summary>
        /// 活动图片
        /// </summary>
        public string ActivityImg { get; set; }
        /// <summary>
        /// 活动备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 活动类型（送卷/现金）
        /// </summary>
        public int ActivityType { get; set; }
        /// <summary>
        /// 活动开始时间
        /// </summary>
        public DateTime ActivityStartTime { get; set; }
        /// <summary>
        /// 活动结束时间
        /// </summary>
        public DateTime ActivityEndTime { get; set; }
        /// <summary>
        /// 活动创建者
        /// </summary>
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreateAt { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime? UpdateAt { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }

        /// <summary>
        /// 规则
        /// </summary>
        public string ActivityRule { get; set; }

        public string ActivityValue { get; set; }


        public int? isAutoSend { get; set; }

        public int? isShow { get; set; }

        /// <summary>
        /// 当前页
        /// </summary>
        [Required]
        public int Current { get; set; }
        /// <summary>
        /// 当前页数据数
        /// </summary>
        [Required]
        public int PageSize { get; set; }
    }
}
