﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Coupon
{
    public class CouponLogOutputDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 客户Id -- 微信的OpenId
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 客户手机
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 0表示退单反券 1表示订单完成
        /// </summary>
        public int OrderType { get; set; }
        /// <summary>
        /// 订单流转
        /// </summary>
        public string OrderTypeStr => OrderType == 0 ? "退单反券" : "订单完成";
        /// <summary>
        /// 券Id
        /// </summary>
        public string CouponId { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 优惠券标题
        /// </summary>
        public string CouponTitle { get; set; }
        /// <summary>
        /// 优惠券券值
        /// </summary>
        public decimal CouponValue { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        [Newtonsoft.Json.JsonIgnore]
        public int? CouponType { get; set; }
        /// <summary>
        /// 优惠券类型
        /// </summary>
        public string CouponTypeStr => !CouponType.HasValue ? "" : (CouponType == 1 ? "满减优惠卷" : (CouponType == 2 ? "代金优惠卷" : "无门槛优惠卷"));
        /// <summary>
        /// 订单时间
        /// </summary>
        public DateTime OrderTime { get; set; }
    }
}
