﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Coupon
{
    public class CustomerCouponPageResultOutputDto
    {
        public string Id { get; set; }
        /// <summary>
        /// 客户Id
        /// </summary>
        public string CustomerId { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 领取方式(1.小程序领取 2.线下门店扫码 3.活动自动下发  4.好友分享领取 5.指定发放)
        /// </summary>
        public int ReceiveType { get; set; }
        /// <summary>
        /// 状态（1:未使用 2.已核销 3.占用中 4.失效）
        /// </summary>
        public int State { get; set; }
        /// <summary>
        /// 优惠券名称
        /// </summary>
        public string CouponTitle { get; set; }
        /// <summary>
        ///  适用范围类型 1.店铺  2.供应商 3.区域
        /// </summary>
        public int RangeType { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime ValidEndTime { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime ValidStartTime { get; set; }
        /// <summary>
        /// 核销时间
        /// </summary>
        public DateTime? WriteOffTime { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 客户手机号
        /// </summary>
        public string Phone { get; set; }
    }
}
