﻿namespace BPA.SaaS.Stock.Api.DTO.CRM.Finance
{
    /// <summary>
    /// 结算详情Model
    /// </summary>
    public  class SettlementDetailDto
    {
        /// <summary>
        /// 退款详情Model
        /// </summary>
        public RefundModel Refund { get; set; }
        /// <summary>
        /// 商品信息
        /// </summary>
        public List<GoodsList> GoodsList { get; set; }
    }
    /// <summary>
    /// 商品信息
    /// </summary>
    public class GoodsList
    {
        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }
        /// <summary>
        /// 商品分数
        /// </summary>
        public int GoodsNum { get; set; }
        /// <summary>
        /// 商品价格
        /// </summary>
        public decimal GoodsRealPrice { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class RefundModel {

        /// <summary>
        /// 结算金额
        /// </summary>
        public decimal SettlementMoney { get; set; }
        /// <summary>
        /// 商品总价
        /// </summary>
        public decimal OrderOriginalMoney { get; set; }
        /// <summary>
        /// 优惠支出
        /// </summary>
        public decimal DiscountMoney { get; set; }
        /// <summary>
        /// 平台费用支出
        /// </summary>
        public decimal BusinessPrice { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string OrderNumber { get; set; }
        /// <summary>
        /// 下单时间
        /// </summary>
        public string CreatedAt { get; set; }
        /// <summary>
        /// 订单完成时间
        /// </summary>
        public string CompleteTakeTime { get; set; }
        /// <summary>
        /// 退款订单编号
        /// </summary>
        public string RefundOrderId { get; set; }
        /// <summary>
        /// 退款订单号
        /// </summary>
        public string RefundOrderNumber { get; set; }
        /// <summary>
        /// 退款时间
        /// </summary>
        public string RefundCreatedAt { get; set; }
        /// <summary>
        /// 退款完成时间
        /// </summary>
        public string RefundTime { get; set; }
        /// <summary>
        /// 退款金额
        /// </summary>
        public decimal RefundMoney { get; set; }
        /// <summary>
        /// 优惠券类型
        /// </summary>
        public string CouponTypeValue { get; set; }
    }
}
