﻿using System.ComponentModel.DataAnnotations;
using BPA.Common.Enums.CRM;

namespace BPA.SaaS.Stock.Api.DTO.CRM.Member
{
    /// <summary>
    /// MemberTagDto
    /// </summary>
    public class MemberTagDto
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 会员标签名称
        /// </summary>
        [Required]
        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [Range(0, int.MaxValue, ErrorMessage = "排序必须大于0")]
        public int Sort { get; set; } = 0;
        /// <summary>
        /// 平台标签 0:默认 1.微信 2.支付宝
        /// </summary>
        [Range(0, 2, ErrorMessage = "平台标签只能输入0,1,2")]
        public EnumPlatformType PlatformType { get; set; } = EnumPlatformType.Default;
        /// <summary>
        /// 状态
        /// </summary>
        [Range(0, 1, ErrorMessage = "状态只能输入0或者1")]
        public EnumCommonStatus Status { get; set; } = EnumCommonStatus.ENABLE;
    }
}
