﻿namespace BPA.SaaS.Stock.Api.DTO.ERP.Store.StoreHelper
{
    public class Items
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 价格
        /// </summary>
        public decimal Price { get; set; }

        public bool IsDefault { get; set; } = false;
    }
    
    public class BomItmType
    {
        public string Name { get; set; }
        public bool alltype { get; set; } = false;
        public string BatchingType { get; set; }
        public List<Items> data { get; set; }

    }
    /// <summary>
    /// 商品页面展示数据
    /// </summary>
    public class GoodVM
    {
        /// <summary>
        /// 类型ID
        /// </summary>
        public string typeid { get; set; }
        /// <summary>
        /// 区域名称
        /// </summary>
        public string typename { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 商品唯一标识
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 商品地址
        /// </summary>
        public string url { get; set; }
        /// <summary>
        /// 商品所属设备ID
        /// </summary>
        public string storeid { get; set; }
        /// <summary>
        /// 商品价格
        /// </summary>
        public decimal? price { get; set; }
        /// <summary>
        /// 月销量
        /// </summary>
        public string monthlySales { get; set; }
        /// <summary>
        /// 商品个数
        /// </summary>
        public int count { get; set; }
        /// <summary>
        /// 商品制作状态
        /// </summary>
        public int orderStatus { get; set; }
        /// <summary>
        /// 商品制作状态名称
        /// </summary>
        public string orderStatusName { get; set; }
        /// <summary>
        /// 取餐信息
        /// </summary>
        public string takeContent { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int sort { get; set; }
        /// <summary>
        /// 商品配方列表
        /// </summary>
        public List<BomItmType> item { get; set; }
    }
    /// <summary>
    /// 分类信息
    /// </summary>
    public class GoodVMList
    {
        public GoodVMList()
        {
            Goods = new List<GoodVM>();
        }
        /// <summary>
        /// 数据分类id
        /// </summary>
       public string Typeid { get; set; }
        /// <summary>
        /// 分类下的物品信息
        /// </summary>
        public List<GoodVM> Goods { get; set; }
    }
}
