﻿using System.Collections;
using BPA.Component.Extensions;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Device
{
    public class DeviceTreeNodes
    {
        /// <summary>
        /// Id
        /// </summary>
        public string key { get; set; }

        /// <summary>
        /// 父Id
        /// </summary>
        public string parentId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string value { get; set; }

        /// <summary>
        /// 排序，越小优先级越高
        /// </summary>
        public int weight { get; set; }
    }

    /// <summary>
    /// 店铺设备
    /// </summary>
    public class DeviceTreeNode : ITreeNode
    {
        /// <summary>
        /// Id
        /// </summary>
        public string key { get; set; }

        /// <summary>
        /// 父Id
        /// </summary>
        public string parentId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string value { get; set; }

        /// <summary>
        /// 排序，越小优先级越高
        /// </summary>
        public int weight { get; set; }

        /// <summary>
        /// 子节点
        /// </summary>
        public List<DeviceTreeNode> Children { get; set; } = new List<DeviceTreeNode>();


        public string GetId()
        {
            return key;
        }

        public string GetPid()
        {
            return parentId;
        }

        public void SetChildren(IList children)
        {
            Children = (List<DeviceTreeNode>) children;
        }
    }
}