﻿using System.ComponentModel.DataAnnotations;

namespace BPA.SaaS.Stock.Api.DTO.Franchisee.Goods
{
    public class GoodsDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 商品编码
        /// </summary>
        [Required]  // 必填验证
        public string Code { get; set; }
        /// <summary>
        /// 商品名称
        /// </summary>
        [Required]  // 必填验证
        public string Name { get; set; }
        /// <summary>
        /// 商品价格
        /// </summary>
        [Required]  // 必填验证
        public decimal Price { get; set; }
        /// <summary>
        /// 商品图片地址
        /// </summary>
        [Required]  // 必填验证
        public string ImgUrl { get; set; }
        /// <summary>
        /// 商品备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 商品创建者
        /// </summary>
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public string Status { get; set; }

        public string NotifyType { get; set; }

        /// <summary>
        /// 商品类型id
        /// </summary>
        [Required]  // 必填验证
        public string GoodsTypeId { get; set; }


        /// <summary> 
        ///  口味
        /// </summary> 
        public string TasteID { get; set; }

        /// <summary> 
        ///  大类
        /// </summary> 
        public string ParentTypeID { get; set; }



    }
}
