namespace BPA.SaaS.Stock.Api.DTO;

/// <summary>
/// 通用分页输入参数
/// </summary>
public class PageInputBase
{
    /// <summary>
    /// 当前页码
    /// </summary>
    private int current;
    public virtual int Current
    {
        get
        {
            return current;
        }
        set
        {

            current = value;
            if (current <= 0)
            {
                current = 1;
            }
        }
    }

    /// <summary>
    /// 页码容量
    /// </summary>

    private int pagesize;
    public virtual int PageSize
    {
        get
        {
            return pagesize;
        }
        set
        {

            pagesize = value;
            if (pagesize <= 0)
            {
                pagesize = 20;
            }
        }
    }
}