﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Activity
{
    ///<summary>
    ///活动信息表
    ///</summary>
    [SugarTable("BPA_ActivityInfo")]
    public class BPA_ActivityInfo : BaseGroupIdEntity
    {
        /// <summary>
        /// 活动名称
        /// </summary>
        public string ActivityName { get; set; }
        /// <summary>
        /// 活动图片
        /// </summary>
        public string ActivityImg { get; set; }
        /// <summary>
        /// 活动备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 1.送券 2.阶梯抵扣金  3.特价商品 4.阶梯优惠券 5.阶梯商品  6.阶梯消费次数  7.循环消费次数
        /// </summary>
        public int ActivityType { get; set; }
        /// <summary>
        /// 活动开始时间
        /// </summary>
        public DateTime ActivityStartTime { get; set; }
        /// <summary>
        /// 活动结束时间
        /// </summary>
        public DateTime ActivityEndTime { get; set; }

        /// <summary>
        /// 规则
        /// </summary>
        public string ActivityRule { get; set; }

        /// <summary> 
        /// 客户端页面是否显示 
        /// </summary> 
        public int isShow { get; set; }
        /// <summary> 
        /// 是否后台计算
        /// </summary> 
        public int isAutoSend { get; set; }
    }
}
