﻿using BPA.SaaS.Stock.Api.DTO.Basic.Claim;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity
{
    /// <summary>
    /// 修改人修改时间
    /// </summary>
    public class BaseOPEntity : BaseEntity
    {
        /// <summary>
        /// 删除标识
        /// 0=> 正常使用
        /// 1=> 已经被标记删除
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否删除", IsNullable = false)]
        public bool IsDeleted { get; set; }

        /// <summary>
        /// 删除时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "删除时间", IsNullable = true)]
        public DateTime DeleteAt { get; set; }

        /// <summary>
        /// 删除人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "删除人", IsNullable = true)]
        public string DeleteBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "更新时间", IsNullable = true)]
        public DateTime UpdateAt { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "更新人", IsNullable = true)]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "创建时间", IsNullable = true)]
        public DateTime CreateAt { get; set; } = DateTime.Now;

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "创建人", IsNullable = true)]
        public string CreateBy { get; set; }

        // /// <summary>
        // /// 新增
        // /// </summary>
        // public virtual void Create()
        // {
        //     var userId = App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     Id = Guid.NewGuid().ToString();
        //     CreateAt = DateTime.Now;
        //     CreateBy = !string.IsNullOrEmpty(userId) ? userId : "admin";
        // }
        //
        // /// <summary>
        // /// 修改
        // /// </summary>
        // public virtual void Modify()
        // {
        //     var userId = App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     UpdateAt = DateTime.Now;
        //     UpdateBy = !string.IsNullOrEmpty(userId) ? userId : "admin";
        // }
        //
        // /// <summary>
        // /// 删除
        // /// </summary>
        // public virtual void Delete()
        // {
        //     var userId = App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User?.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     DeleteAt = DateTime.Now;
        //     DeleteBy = !string.IsNullOrEmpty(userId) ? userId : "admin";
        // }
    }
}