﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.CRM
{
    /// <summary>
    /// 优惠券发放记录表
    /// </summary>
    [SugarTable("BPA_CouponRange")]
    public class BPA_CouponRange : BaseGroupIdEntity
    {
        /// <summary>
        /// 发放数量
        /// </summary>
        [SugarColumn(ColumnDataType = "INT", IsNullable = false)]
        public int SendNum { get; set; }

        /// <summary>
        /// 批次号
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = true)]
        public string BatchNo { get; set; }

        /// <summary>
        /// 优惠券Id
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Coupon_Id { get; set; }

        /// <summary>
        /// 适用范围类型 1.店铺  2.供应商 3.区域
        /// </summary>
        [SugarColumn(ColumnDataType = "INT", IsNullable = false)]
        public int RangeType { get; set; }

        /// <summary>
        /// 创建人类型(0.供应商 1.平台)
        /// </summary>
        [SugarColumn(ColumnDataType = "INT", IsNullable = false)]
        public int CreateType { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(255)", IsNullable = true)]
        public string Remark { get; set; }

        // /// <summary>
        // /// 新增
        // /// </summary>
        // public void Create()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     this.Id = Guid.NewGuid().ToString();
        //     this.CreateAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.CreateBy = userId;
        //     }
        // }
        //
        // /// <summary>
        // /// 修改
        // /// </summary>
        // public void Modify()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     this.UpdateAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.UpdateBy = userId;
        //     }
        // }
        //
        // /// <summary>
        // /// 删除
        // /// </summary>
        // public void Delete()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     this.DeleteAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.DeleteBy = userId;
        //     }
        // }
    }
}