﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Food
{
    ///<summary>
    ///门店菜谱表   
    ///</summary>
    [SugarTable("BPA_StoreFoodMenu")]
    public class BPA_StoreFoodMenu : BaseGroupIdEntity
    {

        /// <summary>
        /// 菜谱id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodMenuId { get; set; }
        /// <summary>
        /// 店铺id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string StoreId { get; set; }

        /// <summary>
        /// 0门店销售，1设备销售
        /// </summary>           

        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsDevice { get; set; }

        

        /// <summary>
        /// 菜品id
        /// </summary>           

        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string FoodId { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal Price { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal VipPrice { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal Vip2Price { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal DiscountPrice { get; set; }


        /// <summary>
        /// 价格
        /// </summary>           

        [SugarColumn(ColumnDataType = "decimal(18,2)", IsNullable = false)]
        public decimal Discount2Price { get; set; }


    }
}
