﻿using BPA.Common.Enums.CRM;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.PurchaseOrder
{

    [SugarTable("BPA_PurchaseOrder")]
    public class BPA_PurchaseOrder : BaseEntity
    {
        /// <summary>
        /// 加盟商id,或者供应商id（关联企业信息表）
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(20)", ColumnDescription = "单据类型", IsNullable = false)]
        public string Type { get; set; }

        /// <summary>
        ///采购机构
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "采购机构", IsNullable = false)]
        public string OrgId { get; set; }

        /// <summary>
        ///单据号
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "单据号", IsNullable = false)]
        public string ShelfNo { get; set; }

        /// <summary>
        ///审核人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "审核人", IsNullable = true)]
        public string ApproveOperId { get; set; }

        /// <summary>
        ///审核时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "审核时间", IsNullable = true)]
        public DateTime? ApproveDate { get; set; }

        /// <summary>
        ///是否审核
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "是否审核", IsNullable = true)]
        public bool ApproveFlag { get; set; }

        /// <summary>
        ///多级审核标识
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "多级审核标识", IsNullable = true)]
        public int StageId { get; set; }

        /// <summary>
        ///备注
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "备注", IsNullable = true)]
        public string Remark { get; set; }

        /// <summary>
        ///电话
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(20)", ColumnDescription = "电话", IsNullable = true)]
        public string ReceivingTel { get; set; }

        /// <summary>
        ///收货人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "收货人", IsNullable = true)]
        public string ReceivingUser { get; set; }

        /// <summary>
        ///收货地址
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "收货地址", IsNullable = true)]
        public string ReceivingAddress { get; set; }

       

        /// <summary>
        ///是否完结
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否完结", IsNullable = true)]
        public bool? Finish { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "状态", IsNullable = true)]
        public EnumCommonStatus? Status { get; set; }
    }
}
