﻿using BPA.Common.Enums.CRM;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.PurchaseOrder
{
    /// <summary>
    /// 采购明细
    /// </summary>
    [SugarTable("BPA_PurchaseOrderEntry")]
    public class BPA_PurchaseOrderEntry : BaseEntity
    {
        /// <summary>
        /// 条码
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "条码", IsNullable = true)]
        public string Barcode { get; set; }

        /// <summary>
        /// 物料
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "物料", IsNullable = true)]
        public string ItemId { get; set; }

        /// <summary>
        /// 采购数量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal(18,2)", ColumnDescription = "采购数量", IsNullable = true)]
        public decimal PurchaseQty { get; set; }

        [SugarColumn(ColumnDataType = "nvarchar(300)", ColumnDescription = "备注", IsNullable = true)]
        public string Remark { get; set; }

      

        /// <summary>
        /// 数量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal(18,2)", ColumnDescription = "数量", IsNullable = true)]
        public decimal Qty { get; set; }

        /// <summary>
        /// 条码
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(50)", ColumnDescription = "条码", IsNullable = true)]
        public string ShelfNo { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "状态", IsNullable = true)]
        public EnumCommonStatus? Status { get; set; }


        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "供应商", IsNullable = true)]
        public long? SupplierId { get; set; }
    }
}
