﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{
    /// <summary>
    /// 企业信息表
    /// </summary>
    [SugarTable("BPA_Company")]
    public class BPA_Company : Entity
    {
        /// <summary>
        /// 企业名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 管理员名称
        /// </summary>
        public string AdminName { get; set; }
        /// <summary>
        /// 主机
        /// </summary>
        public string Host { get; set; }
        /// <summary>
        /// 电子邮件
        /// </summary>
        public string Email { get; set; }
        /// <summary>
        /// 电话
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 数据库连接
        /// </summary>
        public string Connection { get; set; }
        /// <summary>
        /// 架构
        /// </summary>
        public string Schema { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 企业类型（0,平台，1，供应商，2，加盟商 ）
        /// </summary>
        public string CompanyType { get; set; }
        /// <summary>
        /// 结算周期
        /// </summary>
        public int SettlementCycles { get; set; }

        public string RealmName { get; set; }
        public string SupplyPlatformId { get; set; }

        public string Logo { get; set; }
        /// <summary>
        /// 企业唯一编码
        /// </summary>
        public string Code { get; set; }
    }
}
