﻿using BPA.Common.Enums.CRM;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{
    [SugarTable("BPA_Menu")]
    public class BPA_Menu:Entity
    {
        /// <summary>
        /// 父Id
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", ColumnDescription = "父Id", IsNullable = true)]
        public string? Pid { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "名称", IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        /// 编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(50)", ColumnDescription = "编码", IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        /// 菜单类型
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "菜单类型", IsNullable = false)]
        public EnumMenuType Type { get; set; }

        /// <summary>
        /// 菜单图标
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "菜单图标", IsNullable = true)]
        public string Icon { get; set; }

        /// <summary>
        /// 路由地址
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(200)", ColumnDescription = "路由地址", IsNullable = true)]
        public string Router { get; set; }

        /// <summary>
        /// 组件地址
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(200)", ColumnDescription = "组件地址", IsNullable = true)]
        public string Component { get; set; }


        /// <summary>
        /// 权限标识
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(200)", ColumnDescription = "权限标识", IsNullable = true)]
        public string Permission { get; set; }

        /// <summary>
        /// 打开方式
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "打开方式", IsNullable = false)]
        public int OpenType { get; set; }

        /// <summary>
        /// 是否可见
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", ColumnDescription = "是否可见", IsNullable = true)]
        public bool Visible { get; set; }

        /// <summary>
        /// 内链地址
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "内链地址", IsNullable = true)]
        public string Link { get; set; }

        /// <summary>
        /// 重定向地址
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "重定向地址", IsNullable = true)]
        public string Redirect { get; set; }


        /// <summary>
        /// 权重
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "权重", IsNullable = false)]
        public int Weight { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "排序", IsNullable = false)]
        public int Sort { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(100)", ColumnDescription = "备注", IsNullable = true)]
        public string Remark { get; set; }
    }
}
