﻿using BPA.Common.Enums.CRM;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{
    public class BPA_Organize
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();

        /// <summary> 
        ///  上级编号
        /// </summary> 
        public string PID { get; set; }

        /// <summary> 
        /// 名字
        /// </summary> 
        public string Name { get; set; }

        /// <summary> 
        ///  类型
        /// </summary> 
        public int Type { get; set; }

        /// <summary> 
        ///  备注
        /// </summary> 
        public string Remark { get; set; }

        /// <summary> 
        ///  上级ID集合
        /// </summary> 
        public string Pids { get; set; }

        /// <summary> 
        ///  
        /// </summary> 
        public string Code { get; set; }

        /// <summary> 
        ///  
        /// </summary> 
        public int Sort { get; set; }

        /// <summary> 
        /// 店铺地址 
        /// </summary> 
        public string Store_Addr { get; set; }

        /// <summary> 
        /// 店铺图片地址 
        /// </summary> 
        public string Logo { get; set; }

        /// <summary> 
        /// 店铺地址 
        /// </summary> 
        public string Store_Loc { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public EnumCommonStatus Status { get; set; } = EnumCommonStatus.ENABLE;

        /// <summary>
        /// 删除标识
        /// 0=> 正常使用
        /// 1=> 已经被标记删除
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public int IsDeleted { get; set; } = 0;

        /// <summary>
        /// 删除时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime DeleteAt { get; set; }

        /// <summary>
        /// 删除人
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeleteBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime UpdateAt { get; set; }

        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime CreateAt { get; set; } = DateTime.Now;

        /// <summary>
        /// 创建人
        /// </summary>
        //[SugarColumn(IsNullable = true)]
        public string CreateBy { get; set; }

        public string GroupId { get; set; }

        // /// <summary>
        // /// 新增
        // /// </summary>
        // public virtual void Create()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     this.Id = Guid.NewGuid().ToString();
        //     this.CreateAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.CreateBy = userId;
        //     }
        // }
        //
        // /// <summary>
        // /// 修改
        // /// </summary>
        // public void Modify()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     this.UpdateAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.UpdateBy = userId;
        //     }
        // }
        //
        // /// <summary>
        // /// 删除
        // /// </summary>
        // public void Delete()
        // {
        //     var userId = App.User.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
        //     var userName = App.User.FindFirst(ClaimConst.CLAINM_ACCOUNT)?.Value;
        //     this.DeleteAt = DateTime.Now;
        //     if (!string.IsNullOrEmpty(userId))
        //     {
        //         this.DeleteBy = userId;
        //     }
        // }
    }
}