﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{

    [SugarTable("BPA_RequestLog")]
    public  class BPA_RequestLog
    {

        /// <summary>
        /// Id
        /// </summary>
        [SqlSugar.SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public long Id { get; set; }

        /// <summary>
        /// 请求地址
        /// </summary>
        /// <summary> 
        /// 请求地址 
        /// </summary> 
        public string RequestURL { get; set; }
        /// <summary> 
        /// 来源地址 
        /// </summary> 
        public string RefererUrl { get; set; }
        /// <summary> 
        /// 请求方式 
        /// </summary> 
        public string RequestMethod { get; set; }
        /// <summary> 
        /// IP 
        /// </summary> 
        public string IP { get; set; }
        /// <summary> 
        /// 请求数据 
        /// </summary> 
        public string RequestData { get; set; }
        /// <summary> 
        /// 返回数据 
        /// </summary> 
        public string ResultData { get; set; }
        /// <summary> 
        /// 是否请求成功 
        /// </summary> 
        public bool IsRequestSucceed { get; set; }
        /// <summary> 
        /// 请求方法名 
        /// </summary> 
        public string MethodName { get; set; }
        /// <summary> 
        /// 时间 
        /// </summary> 
        public DateTime CreateAt { get; set; }

        /// <summary>
        /// 名称空间
        /// </summary>
        public string Namespace { get; set; }

        /// <summary>
        /// 方法名
        /// </summary>
        public string Method { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        public string Operator { get; set; }

        public string GroupId { get; set; }
    }
}
