﻿using BPA.Common.Enums.CRM;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{
    [SugarTable("BPA_Roles")]
    public class BPA_Roles:BaseGroupIdEntity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "名称", IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        /// 编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "编码", IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "排序", IsNullable = false)]
        public int Sort { get; set; }

        /// <summary>
        /// 数据范围类型
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "数据范围类型", IsNullable = false)]
        public EnumDataScopeType DataScopeType { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "备注", IsNullable = true)]
        public string Remark { get; set; }

        /// <summary>
        /// 角色类型-集团角色_0、加盟商角色_1、门店角色_2
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "角色类型-集团角色_0、加盟商角色_1、门店角色_2", IsNullable = false)]
        public int RoleType { get; set; }
    }
}
