﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.SYS
{
    ///<summary>
    ///平台用户表
    ///</summary>
    [SugarTable("BPA_Users")]
    public partial class BPA_Users : BaseGroupIdEntity
    {

        /// <summary>
        /// 账号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(50)", ColumnDescription = "账号", IsNullable = false)]
        public string Account { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(50)", ColumnDescription = "密码", IsNullable = false)]
        public string Password { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "昵称", IsNullable = true)]
        public string NickName { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "姓名", IsNullable = true)]
        public string Name { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(3000)", ColumnDescription = "头像", IsNullable = true)]
        public string Avatar { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "生日", IsNullable = true)]
        public DateTime? Birthday { get; set; }

        /// <summary>
        /// 性别-男_1、女_2
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "性别-男_1、女_2", IsNullable = true)]
        public int Sex { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(50)", ColumnDescription = "邮箱", IsNullable = true)]
        public string Email { get; set; }

        /// <summary>
        /// 手机
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "手机", IsNullable = true)]
        public string Phone { get; set; }

        /// <summary>
        /// 电话
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(20)", ColumnDescription = "电话", IsNullable = true)]
        public string Tel { get; set; }

        /// <summary>
        /// 管理员类型-超级管理员_1、管理员_2、普通账号_3
        /// </summary>
        [SugarColumn(ColumnDataType = "int", ColumnDescription = "管理员类型-超级管理员_1、管理员_2、普通账号_3", IsNullable = false)]
        public int AdminType { get; set; }

        /// <summary>
        /// 用户归属机构部门
        /// </summary>
        [SugarColumn(ColumnDataType = "Nvarchar(64)", ColumnDescription = "用户归属机构部门", IsNullable = false)]
        public string SysOrgId { get; set; }
    }
}
