﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Split
{
    /// <summary>
    /// 订单分账明细表
    /// </summary>
    [SugarTable("BPA_SplitOrder")]
    public class BPA_SplitOrder : BaseEntity
    {
        /// <summary>
        /// 分账订单号
        /// </summary>
        public string WechatOrderId { get; set; }
        /// <summary>
        /// 微信分账单号
        /// </summary>
        public string WechatSplitOrderId { get; set; }
        /// <summary> 
        /// 订单id 
        /// </summary> 
        public string OrderId { get; set; }
        /// <summary> 
        /// 分账方id（加盟商商户号，供应商商户号，个人openid） 
        /// </summary> 
        public string BusinessId { get; set; }
        /// <summary> 
        /// 分账方分账金额（加盟商，供应商，个人等） 
        /// </summary> 
        public decimal BusinessPrice { get; set; }

        /// <summary>
        /// 分账状态
        /// </summary>
        public int WechatStatus { get; set; }
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
        public string SplitType { get; set; }
        public string PlanId { get; set; }

        public DateTime CreateAt { get; set; } = DateTime.Now;

        public DateTime UpdateAt { get; set; }

    }
}
