﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Stock
{
    /// <summary>
    /// 微信对账表
    /// </summary>
    [SugarTable("BPA_Order_WechatPay")]
    public class BPA_Order_WechatPay : BaseEntity
    {
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime OrderTime { get; set; }
        /// <summary>
        /// Appid
        /// </summary>
        public string AppId { get; set; }
        /// <summary>
        /// 付款金额
        /// </summary>
        public decimal RealMoney { get; set; }
        /// <summary>
        /// 退款金额
        /// </summary>
        public decimal RefundMoney { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string TradeNo { get; set; }
        /// <summary>
        /// 支付单号
        /// </summary>
        public string TransactionId { get; set; }
        /// <summary>
        /// 付款银行
        /// </summary>
        public string Bank { get; set; }
        /// <summary>
        /// 单据状态
        /// </summary>
        public string Status { get; set; }
        /// <summary>
        /// 会员
        /// </summary>
        public string CustomerNo { get; set; }

    }
}
