﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Stock
{
    /// <summary>
    /// 库存流水
    /// </summary>
    [SugarTable("BPA_StockFlow")]
    public  class BPA_StockFlow : BaseGroupIdEntity
    {
        /// <summary>
        /// 单据号
        /// </summary>
        public string SheetId { get; set; }
        /// <summary>
        /// 单据类型
        /// </summary>
        public string SheetType { get; set; }
        /// <summary>
        /// 库位
        /// </summary>
        public string OrgId { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        public string ProductId { get; set; }
        
        /// <summary>
        /// 物料编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 物料库存单位
        /// </summary>
        public string StockUint { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        public decimal Qty { get; set; }
        /// <summary>
        /// 1入库，-1出库
        /// </summary>
        public int IOFlag { get; set; }
    }
}
