﻿using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity.Stock
{
    /// <summary>
    /// 物料库存
    /// </summary>
    [SugarTable("BPA_StockItem")]
    public class BPA_StockItem : BaseGroupIdEntity
    {

        /// <summary>
        /// 库存组织
        /// </summary>
        public string OrgId { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        public string ProductId { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 库存单位
        /// </summary>
        public string StockUint { get; set; }
        /// <summary>
        /// 库存数量
        /// </summary>
        public decimal StockQty { get; set; }
        /// <summary>
        /// 报损数量
        /// </summary>
        public int DamageCount { get; set; }
        /// <summary>
        /// 调拨出库数量
        /// </summary>
        public int TransferIssueCount { get; set; }
        /// <summary>
        /// 调拨入库数量
        /// </summary>
        public int TransferReceiptCount { get; set; }

    }
}
