﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Stock.Api.DTO.Basic.Auth;

namespace BPA.SaaS.Stock.Api.IService.Auth
{
    public interface IAuthService
    {
        /// <summary>
        /// 获取当前登录用户信息
        /// </summary>
        /// <returns></returns>
        Task<BaseResult<LoginOutput>> GetLoginUserAsync(string logintype);

        /// <summary>
        /// 用户名密码登录
        /// </summary>
        /// <param name="LoginType">1平台用户登录,0加盟商登录</param>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<BaseResult<LoginOutInfo>> LoginAsync(string LoginType, LoginInput input);

        /// <summary>
        /// 退出
        /// </summary>
        /// <returns></returns>
        BaseResult<string> LogoutAsync();
    }
}