﻿using BPA.Component.DbClient;
using BPA.Component.DbClient.RepositoryModel;
using BPA.Component.Extensions;
using BPA.SaaS.Stock.Api.DTO;
using BPA.SaaS.Stock.Api.Entity;
using BPA.SaaS.Stock.Api.Entity.Member;
using BPA.SaaS.Stock.Api.IRepository;

namespace BPA.SaaS.Stock.Api.Repository;

public class HomeRepository : BaseDbRepository<StockDbSugarClient, BPA_Users>, IHomeRepository
{

    /// <summary>
    /// 常规操作
    /// </summary>
    /// <returns></returns>
    public async Task<IEnumerable<BPA_UsersDTO>> GetAllUsersList()
    {
        var query = await SimpleClient.AsQueryable().ToListAsync();
        return query.MapToList<BPA_UsersDTO, BPA_Users>();
    }

    public HomeRepository(StockDbSugarClient dbClient) : base(dbClient)
    {
    }
}