﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Stock.Api.DTO.ERP.Entities;
using BPA.SaaS.Stock.Api.DTO.ERP.Product;
using BPA.SaaS.Stock.Api.IService.ERP.Product;
using Microsoft.AspNetCore.Mvc;

namespace BPA.SaaS.Stock.Api.WebApi.Controllers.Product;

[ApiController]
[Route("api/[controller]/[action]")]
public class ProductCodeController : ControllerBase
{
    private readonly IProductCodeService _code;

    public ProductCodeController(IProductCodeService code)
    {
        _code = code;
    }

    /// <summary>
    /// 获取产品Code列表
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    [HttpPost]
    public Task<BaseResultPage<ProductCodeDto>> GetProductList(ProductCodeListQuery dto) => _code.GetProductList(dto);
}